[![Build Status](https://img.shields.io/travis/material-components/material-components-android/master.svg)](https://travis-ci.org/material-components/material-components-android/)
[![Chat](https://img.shields.io/discord/259087343246508035.svg)](https://discord.gg/material-components)

# Material Components for Android

Material Components for Android (MDC-Android) help developers execute
[Material Design](https://www.material.io). Developed by a core team of
engineers and UX designers at Google, these components enable a reliable
development workflow to build beautiful and functional Android apps.

Material Components for Android is a drop-in replacement for Android's
Design Support Library.

## Getting Started

For information on how to get started with Material Components for Android,
take a look at our [Getting Started](docs/getting-started.md) guide.

## Submitting Bugs or Feature Requests

For usage questions: ask on
[Stack  Overflow](http://stackoverflow.com/questions/tagged/material-components).

Bugs or feature requests should be submitted at our [GitHub Issues section](https://github.com/material-components/material-components-android/issues).

## Useful Links
- [All Components](https://github.com/material-components/material-components-android/tree/master/lib/)
- [Getting Started](docs/getting-started.md)
- [Contributing](docs/contributing.md)
- [Building From Source](docs/building-from-source.md)
- [Catalog App](docs/catalog-app.md)
- [Class
  documentation](https://developer.android.com/reference/com/google/android/material/classes)
  (external site)
- [MDC-Android on Stack
  Overflow](https://www.stackoverflow.com/questions/tagged/material-components+android)
  (external site)
- [Android Developer’s
  Guide](https://developer.android.com/training/material/index.html)
  (external site)
- [Material.io](https://www.material.io) (external site)
- [Material Design Guidelines](https://material.google.com) (external site)

## Documentation

*   [Directory structure](docs/directorystructure.md)
*   [Components](docs/components/)
